Bug 125927 - Setting extended attributes on a live swapfile hangs on ext3
Setting extended attributes on a live swapfile hangs on ext3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-14 05:18 EDT by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 18:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-06-14 05:18:04 EDT
Create a swap file rather than swap device
swapon 
run fixfiles relabel /

wait.. wait... admire deadlock.

If this is done with selinux off then I get the deadlock. If it is run
with selinux on then I get a deadlock and also attribute corruption
which is only revealed by fsck (the log playback does not fix it).

Marked as high for the latter reason.
Comment 1 Alan Cox 2004-10-01 18:42:33 EDT
Fixed in 2.6.6.

Note You need to log in before you can comment on or make changes to this bug.